SystemOrganization addCategory: #'Seaside-Tests-Examples'!

WAEnvironmentDefaultHandlersTest subclass: #WAExamplesDefaultHandlersTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Examples'!

!WAExamplesDefaultHandlersTest methodsFor: 'tests' stamp: 'pmm 9/8/2013 14:26'!
testDefaultCounterDirect
	| app |
	app := self defaultDispatcher handlerAt: 'examples/counter'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'counter'.
	self assert: app parent name = 'examples'.
	self assert: app url pathStringUnencoded = '/examples/counter'! !

!WAExamplesDefaultHandlersTest methodsFor: 'tests' stamp: 'pmm 9/8/2013 14:26'!
testDefaultCounterNavigate
	| app |
	app := self defaultDispatcher handlerAt: 'examples'.
	self assert: app class == WADispatcher.
	self assert: app isDispatcher.
	self deny: app isRoot.
	self deny: app isApplication.
	self deny: app parent isNil.
	self assert: app name = 'examples'.
	self assert: app url pathStringUnencoded = '/examples'.
	app := app handlerAt: 'counter'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'counter'.
	self assert: app parent name = 'examples'.
	self assert: app url pathStringUnencoded = '/examples/counter'! !

!GRPackage class methodsFor: '*seaside-tests-examples' stamp: 'lr 2/17/2010 15:13'!
seasideTestsExamples
	^ self new
		name: 'Seaside-Tests-Examples';
		description: 'Unit tests for Seaside-Examples.';
		addDependency: 'Seaside-Examples';
		addDependency: 'Seaside-Tests-Environment';
		url: #seasideUrl;
		yourself! !
